Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jxpath.util
Class TypeUtils

    java.lang.Object
      org.apache.commons.jxpath.util.TypeUtils

    public class TypeUtils

extends Object

Global type conversion utilities.

Version:
  $Revision: 652845 $ $Date: 2008-05-02 12:46:46 -0500 (Fri, 02 May 2008) $
Author:
  Dmitri Plotnikov

Constructor Summary
`TypeUtils()`

Method Summary
`static boolean` | `canConvert(Object object, Class toType)` Returns true if the global converter can convert the supplied object to the specified type.
`static Object` | `convert(Object object, Class toType)` Converts the supplied object to the specified type.
`static TypeConverter` | `getTypeConverter()` Returns the current type converter.
`static void` | `setTypeConverter(TypeConverter converter)` Install an alternative type converter.
`static Class` | `wrapPrimitive(Class p)` Return the appropriate wrapper type for the specified class.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TypeUtils

    public TypeUtils()

Method Detail

### setTypeConverter

    public static void setTypeConverter(TypeConverter converter)

  Install an alternative type converter.

  Parameters:
    `converter` - new TypeConverter

### getTypeConverter

    public static TypeConverter getTypeConverter()

  Returns the current type converter.

  Returns:
    TypeConverter

### canConvert

    public static boolean canConvert(Object object,
                                     Class toType)

  Returns true if the global converter can convert the supplied object to the specified type.

  Parameters:
    `object` - object to test
    `toType` - target class
  Returns:
    boolean

### convert

    public static Object convert(Object object,
                                 Class toType)

  Converts the supplied object to the specified type. May throw a RuntimeException.

  Parameters:
    `object` - object to convert
    `toType` - target class
  Returns:
    resulting Object

### wrapPrimitive

    public static Class wrapPrimitive(Class p)

  Return the appropriate wrapper type for the specified class.

  Parameters:
    `p` - Class for which to retrieve a wrapper class.
  Returns:
    the wrapper if `p` is primitive, else `p`.
  Since:
    JXPath 1.3

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.